WiSys Client Updater Install

The Client Updater is an installation and configuration service from WiSys. It is required for all WiSys customers to install WiSys products on a desktop workstation.

Instructions

1) Click the WiSys Client Updater Install file here.

2) Do one of the following:

  • To start the installation immediately, click Run.
  • To save the download to your computer for installation at a later time, click Save.
  • To cancel the installation, click Cancel.

For complete information on installing the WiSys Client Updater, please see the WiSys Client Updater Page

DOWNLOAD NOW

System Requirements

  • Operating System – Windows XP (32 Bit Only), Windows Vista (x86, x64), Windows 7 (x86, x64)
  • Macola Version – Progression 7.6.400 or higher, ES 372 or higher
  • Processor – 2.0 GHz Pentium IV (or Better)
  • Memory – 512MB RAM or more, per user (1GB of RAM is recommended for Pick Pack with Ship Track)
  • Display – VGA or SVGA with 1024 x 768 Minimum Resolution
  • Installation – Web Download
  • Other – .Net Framework 2.0
  • Printer – PCL/PS Compatible
  • Free Disk Space – Minimum of 1 GB for System/Application Software